Subject: Re: [DNSOP] RFC 2671 (dnsmasq author's answer)

From: Francis Dupont <[email-masked]>
Date: Fri, 25 Dec 2009 20:03:16 +0000

Here is the answer from dnsmasq author...

[email-masked]

PS: as dnsmasq is very common in "boxes" (ADSL or CATV modem, home
gateways, wireless routers, etc) I am very satisfied by this answer.

------- Forwarded Message

Replied: Thu, 24 Dec 2009 11:57:39 +0000
Replied: Simon Kelley <[email-masked]>
Delivery-Date: Mon Dec 21 17:57:42 2009
Date: Mon, 21 Dec 2009 17:58:27 +0000
From: Simon Kelley <[email-masked]>
To: Francis Dupont <[email-masked]>
Subject: Re: dnsmasq and DNSSEC

Francis Dupont wrote:
> As you know DNSSEC is coming (the root will be signed next year).
> The default edns-packet-max option is 1280, a conservative value
> from RFC 2671 (EDNS 0 specs). IMHO it should be raise to the usual
> maximum, 4096, in new distribs.
> Note:
>  - the 1280 value should be large enough to avoid most truncation
>   issues i.e. the 4096 is for margin/uncommon cases.
>  - the real value is in the hands of the client on the "LAN side":
>   if some problems with fragmentation are expected, it can use
>   a moderate value for the announced UDP payload size.
>   The idea is dnsmasq should not limit the client rewriting this
>   value to something lower.
>  - of course dnsmasq can be run with "-P 4096" i.e. with
>   an overwritten default.
> 
> Thanks
> 
> [email-masked]
> 
> PS: I can open a discussion in a DNS IETF mailing list if you are not
> convinced by my argument. RFC 2671 can be clarified too.
> 

Thanks for that. Doing some research, I found that this is covered in
RFC 5625, which indeed recommends 4096. I've changed the default for the
next release.

Checking through 5625, dnsmasq already does what is recommended in every
other respect except one (it's allowed to change the query-ID in signed
DNS packets.) I've fixed that too.

Cheers,

Simon.

------- End of Forwarded Message